Grok Video Remix
Edit and modify generated Grok videos
Note for users in mainland China: Please use https://toapis.cn as the API endpoint (Base URL). Replace https://toapis.com with https://toapis.cn in the examples in this document.
- Grok Video remix feature
- Create variations based on existing videos
- Async task management, query results via task ID
Path Parameters
video_idstringpathrequiredOriginal video task ID
This is the task ID returned from a previous video generation request
Authorizations
AuthorizationstringheaderrequiredAll API requests require Bearer Token authentication
Get API Key: Visit the API Key Management Page to obtain your API Key
Add to request headers:
Authorization: Bearer YOUR_API_KEYBody
modelstringbodyrequireddefault: grok-video-1.0Video remix model name
Example: "grok-video-1.0"
promptstringbodyrequiredRemix instruction description
sizestringbodyVideo size
aspect_ratiostringbodyVideo aspect ratio
Supported formats:
16:9- Landscape9:16- Portrait
Response
idstringUnique task identifier for querying task status
objectstringObject type, always generation.task
modelstringModel name used
statusstringTask status
queued- Waiting to be processedin_progress- Processingcompleted- Successfully completedfailed- Failed
progressintegerTask progress percentage (0-100)
created_atintegerTask creation timestamp (Unix timestamp)
metadataobjectTask metadata
requestExample
curl --request POST \
--url https://toapis.com/v1/videos/video_abc123def456/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}'import requests
video_id = "video_abc123def456"
response = requests.post(
f"https://toapis.com/v1/videos/{video_id}/remix",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")const videoId = 'video_abc123def456';
const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-video-1.0',
prompt: 'Add a puppy playing in the scene',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);responseExample
{
"id": "video_remix_abc123",
"object": "generation.task",
"model": "grok-video-1.0",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}